Submit Purchase
curl --request POST \
--url https://api.example.com/cabinet/subscription/purchase \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"selection": {
"period_id": "<string>",
"period_days": 1825,
"traffic_value": 50000,
"servers": [
"<string>"
],
"devices": 50
}
}
'import requests
url = "https://api.example.com/cabinet/subscription/purchase"
payload = { "selection": {
"period_id": "<string>",
"period_days": 1825,
"traffic_value": 50000,
"servers": ["<string>"],
"devices": 50
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
selection: {
period_id: '<string>',
period_days: 1825,
traffic_value: 50000,
servers: ['<string>'],
devices: 50
}
})
};
fetch('https://api.example.com/cabinet/subscription/purchase', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Cabinet Subscription
Submit Purchase
Submit subscription purchase (deduct from balance, classic mode only).
POST
/
cabinet
/
subscription
/
purchase
Submit Purchase
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request to preview purchase pricing.
User's selection for subscription purchase.
Show child attributes
Show child attributes
Response
Successful Response
The response is of type Response Submit Purchase Cabinet Subscription Purchase Post · object.
⌘I
